light-mode-image
Learn
API ReferenceUsers

Search users

Roles

adminissuermanaged-issuer

Analytics Events

USER_SEARCH_STARTUSER_SEARCH_SUCCESSUSER_SEARCH_FAIL
POST/v1/users/search

Returns a list of users from the tenant that match all the provided search criteria (all criteria are optional).

Analytic events

  • USER_SEARCH_START
  • USER_SEARCH_SUCCESS
  • USER_SEARCH_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

The search criteria

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/users/search" \  -H "Content-Type: application/json" \  -d '{}'
{  "nextCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "claims": {},      "authenticationProvider": {        "providerId": "string",        "url": "string",        "subjectId": "string"      }    }  ]}

How would you rate this page?